{ unité Math auxiliaire pour compenser tous les petits trucs qui manquent dans Math387 }
{ opu que je ne trouve pas !                                                           }

unit MathAux;

interface

uses math387;

function RealPart(a:TCplx):Tsample;
function ImagPart(a:TCplx):Tsample;
function Cabs2(a:TCplx):Tsample;     { module au carré }

implementation

function RealPart(a:TCplx):Tsample;
Begin
     result:=a.re;
end;

function ImagPart(a:TCplx):Tsample;
Begin
     result:=a.im;
end;

function Cabs2(a:TCplx):Tsample;
begin
     result:=sqr(Cabs(a));     { très inefficace !! }
end;

end.
 